// REGEX = "(US/.*|GMT|Europe/London)"
use timezones::Tz;

pub const GB : Tz = Tz::GB;
pub const GBEire : Tz = Tz::GBEire;
pub const GMT : Tz = Tz::GMT;
pub const GMTPlus0 : Tz = Tz::GMTPlus0;
pub const GMTMinus0 : Tz = Tz::GMTMinus0;
pub const GMT0 : Tz = Tz::GMT0;
pub const Greenwich : Tz = Tz::Greenwich;
pub const Navajo : Tz = Tz::Navajo;

pub mod America {
    use timezones::Tz;

    pub mod Indiana {
        use timezones::Tz;

        pub const Indianapolis : Tz = Tz::America__Indiana__Indianapolis;
        pub const Knox : Tz = Tz::America__Indiana__Knox;
        pub const Marengo : Tz = Tz::America__Indiana__Marengo;
        pub const Petersburg : Tz = Tz::America__Indiana__Petersburg;
        pub const Tell_City : Tz = Tz::America__Indiana__Tell_City;
        pub const Vevay : Tz = Tz::America__Indiana__Vevay;
        pub const Vincennes : Tz = Tz::America__Indiana__Vincennes;
        pub const Winamac : Tz = Tz::America__Indiana__Winamac;
    }

    pub const Adak : Tz = Tz::America__Adak;
    pub const Anchorage : Tz = Tz::America__Anchorage;
    pub const Atka : Tz = Tz::America__Atka;
    pub const Chicago : Tz = Tz::America__Chicago;
    pub const Denver : Tz = Tz::America__Denver;
    pub const Detroit : Tz = Tz::America__Detroit;
    pub const Fort_Wayne : Tz = Tz::America__Fort_Wayne;
    pub const Indianapolis : Tz = Tz::America__Indianapolis;
    pub const Knox_IN : Tz = Tz::America__Knox_IN;
    pub const Los_Angeles : Tz = Tz::America__Los_Angeles;
    pub const New_York : Tz = Tz::America__New_York;
    pub const Phoenix : Tz = Tz::America__Phoenix;
    pub const Shiprock : Tz = Tz::America__Shiprock;
}

pub mod Etc {
    use timezones::Tz;

    pub const GMT : Tz = Tz::Etc__GMT;
    pub const GMTPlus0 : Tz = Tz::Etc__GMTPlus0;
    pub const GMTPlus1 : Tz = Tz::Etc__GMTPlus1;
    pub const GMTPlus10 : Tz = Tz::Etc__GMTPlus10;
    pub const GMTPlus11 : Tz = Tz::Etc__GMTPlus11;
    pub const GMTPlus12 : Tz = Tz::Etc__GMTPlus12;
    pub const GMTPlus2 : Tz = Tz::Etc__GMTPlus2;
    pub const GMTPlus3 : Tz = Tz::Etc__GMTPlus3;
    pub const GMTPlus4 : Tz = Tz::Etc__GMTPlus4;
    pub const GMTPlus5 : Tz = Tz::Etc__GMTPlus5;
    pub const GMTPlus6 : Tz = Tz::Etc__GMTPlus6;
    pub const GMTPlus7 : Tz = Tz::Etc__GMTPlus7;
    pub const GMTPlus8 : Tz = Tz::Etc__GMTPlus8;
    pub const GMTPlus9 : Tz = Tz::Etc__GMTPlus9;
    pub const GMTMinus0 : Tz = Tz::Etc__GMTMinus0;
    pub const GMTMinus1 : Tz = Tz::Etc__GMTMinus1;
    pub const GMTMinus10 : Tz = Tz::Etc__GMTMinus10;
    pub const GMTMinus11 : Tz = Tz::Etc__GMTMinus11;
    pub const GMTMinus12 : Tz = Tz::Etc__GMTMinus12;
    pub const GMTMinus13 : Tz = Tz::Etc__GMTMinus13;
    pub const GMTMinus14 : Tz = Tz::Etc__GMTMinus14;
    pub const GMTMinus2 : Tz = Tz::Etc__GMTMinus2;
    pub const GMTMinus3 : Tz = Tz::Etc__GMTMinus3;
    pub const GMTMinus4 : Tz = Tz::Etc__GMTMinus4;
    pub const GMTMinus5 : Tz = Tz::Etc__GMTMinus5;
    pub const GMTMinus6 : Tz = Tz::Etc__GMTMinus6;
    pub const GMTMinus7 : Tz = Tz::Etc__GMTMinus7;
    pub const GMTMinus8 : Tz = Tz::Etc__GMTMinus8;
    pub const GMTMinus9 : Tz = Tz::Etc__GMTMinus9;
    pub const GMT0 : Tz = Tz::Etc__GMT0;
    pub const Greenwich : Tz = Tz::Etc__Greenwich;
}

pub mod Europe {
    use timezones::Tz;

    pub const Belfast : Tz = Tz::Europe__Belfast;
    pub const Guernsey : Tz = Tz::Europe__Guernsey;
    pub const Isle_of_Man : Tz = Tz::Europe__Isle_of_Man;
    pub const Jersey : Tz = Tz::Europe__Jersey;
    pub const London : Tz = Tz::Europe__London;
}

pub mod Pacific {
    use timezones::Tz;

    pub const Honolulu : Tz = Tz::Pacific__Honolulu;
    pub const Johnston : Tz = Tz::Pacific__Johnston;
    pub const Midway : Tz = Tz::Pacific__Midway;
    pub const Pago_Pago : Tz = Tz::Pacific__Pago_Pago;
    pub const Samoa : Tz = Tz::Pacific__Samoa;
}

pub mod US {
    use timezones::Tz;

    pub const Alaska : Tz = Tz::US__Alaska;
    pub const Aleutian : Tz = Tz::US__Aleutian;
    pub const Arizona : Tz = Tz::US__Arizona;
    pub const Central : Tz = Tz::US__Central;
    pub const EastIndiana : Tz = Tz::US__EastIndiana;
    pub const Eastern : Tz = Tz::US__Eastern;
    pub const Hawaii : Tz = Tz::US__Hawaii;
    pub const IndianaStarke : Tz = Tz::US__IndianaStarke;
    pub const Michigan : Tz = Tz::US__Michigan;
    pub const Mountain : Tz = Tz::US__Mountain;
    pub const Pacific : Tz = Tz::US__Pacific;
    pub const PacificNew : Tz = Tz::US__PacificNew;
    pub const Samoa : Tz = Tz::US__Samoa;
}

